Public Class Form1

    Private Sub cmdTest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdTest.Click
        ' Create Bob and clone a copy of him into a file.
        Dim Bob As New Person("Bob", 34, 5.25)
        Bob.SaveToFile(txtPath.Text)

        ' Erase the current copy of Bob.
        Bob = Nothing

        ' Revive Bob by using the file, and check that his data is correct.
        Bob = Person.LoadFromFile(txtPath.Text)
        MessageBox.Show(Bob.Name)
    End Sub
End Class
